#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
SHELL=${CONFIG_SHELL-/bin/sh}
ac_cs_invocation="$0 $@"

# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi

# Name of the executable.
as_me=`echo "$0" |sed 's,.*[\\/],,'`

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works b) is more generic
  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file

as_executable_p="test -f"

# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi

# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }

# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" 	$as_nl"

# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }

exec 6>&1

config_files=" ./Makefile doc/Makefile doc/en/Makefile kwebget/Makefile kwebget/wizard/Makefile pics/Makefile po/Makefile"
config_headers=" config.h"
config_commands=" default-1"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number, then exit
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
                   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration commands:
$config_commands

Report bugs to <bug-autoconf@gnu.org>."
ac_cs_version="\
config.status
configured by ./configure, generated by GNU Autoconf 2.52,
  with options \" --prefix=/opt/kde3\"

Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/usr/bin/install -c -p"
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x\([^=]*\)='`
    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    shift
    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
    shift
    ;;
  -*);;
  *) # This is not an option, so the user has probably given explicit
     # arguments.
     ac_need_defaults=false;;
  esac

  case $1 in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running /bin/sh ./configure "  --prefix=/opt/kde3 " --no-create --no-recursion"
    exec /bin/sh ./configure  --prefix=/opt/kde3 --no-create --no-recursion ;;
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:21200: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit 0 ;;
  --debug | --d* | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    shift
    CONFIG_FILES="$CONFIG_FILES $1"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    shift
    CONFIG_HEADERS="$CONFIG_HEADERS $1"
    ac_need_defaults=false;;

  # This is an error.
  -*) { { echo "$as_me:21219: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1" ;;

  esac
  shift
done

exec 5>>config.log
cat >&5 << _ACEOF

## ----------------------- ##
## Running config.status.  ##
## ----------------------- ##

This file was extended by $as_me 2.52, executed with
  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  > $ac_cs_invocation
on `(hostname || uname -n) 2>/dev/null | sed 1q`

_ACEOF
#
# INIT-COMMANDS section.
#

for ac_config_target in $ac_config_targets
do
  case "$ac_config_target" in
  # Handling of arguments.
  "./Makefile" ) CONFIG_FILES="$CONFIG_FILES ./Makefile" ;;
  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
  "doc/en/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/en/Makefile" ;;
  "kwebget/Makefile" ) CONFIG_FILES="$CONFIG_FILES kwebget/Makefile" ;;
  "kwebget/wizard/Makefile" ) CONFIG_FILES="$CONFIG_FILES kwebget/wizard/Makefile" ;;
  "pics/Makefile" ) CONFIG_FILES="$CONFIG_FILES pics/Makefile" ;;
  "po/Makefile" ) CONFIG_FILES="$CONFIG_FILES po/Makefile" ;;
  "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  *) { { echo "$as_me:21270: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done

# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi

# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}

# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=$TMPDIR/cs$$-$RANDOM
  (umask 077 && mkdir $tmp)
} ||
{
   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
   { (exit 1); exit 1; }
}


#
# CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
  # Protect against being on the right side of a sed subst in config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/sh,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/opt/kde3,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@LIBS@,,;t t
s,@build@,i686-pc-linux-gnu,;t t
s,@build_cpu@,i686,;t t
s,@build_vendor@,pc,;t t
s,@build_os@,linux-gnu,;t t
s,@host@,i686-pc-linux-gnu,;t t
s,@host_cpu@,i686,;t t
s,@host_vendor@,pc,;t t
s,@host_os@,linux-gnu,;t t
s,@target@,i686-pc-linux-gnu,;t t
s,@target_cpu@,i686,;t t
s,@target_vendor@,pc,;t t
s,@target_os@,linux-gnu,;t t
s,@INSTALL_PROGRAM@,${INSTALL} $(INSTALL_STRIP_FLAG),;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@PACKAGE@,kwebget,;t t
s,@VERSION@,0.8,;t t
s,@ACLOCAL@,aclocal,;t t
s,@AUTOCONF@,autoconf,;t t
s,@AUTOMAKE@,automake,;t t
s,@AUTOHEADER@,autoheader,;t t
s,@MAKEINFO@,makeinfo,;t t
s,@SET_MAKE@,,;t t
s,@CONF_FILES@, $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in,;t t
s,@CC@,gcc,;t t
s,@CFLAGS@,-O2  ,;t t
s,@LDFLAGS@,,;t t
s,@CPPFLAGS@, -DQT_THREAD_SUPPORT  -D_REENTRANT,;t t
s,@ac_ct_CC@,gcc,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CPP@,gcc -E,;t t
s,@CXX@,g++,;t t
s,@CXXFLAGS@,-O2 -fno-exceptions -fno-check-new,;t t
s,@ac_ct_CXX@,g++,;t t
s,@WOVERLOADED_VIRTUAL@,,;t t
s,@USE_EXCEPTIONS@,-fexceptions,;t t
s,@USE_RTTI@,,;t t
s,@CXXCPP@,g++ -E,;t t
s,@NOOPT_CXXFLAGS@, -fno-exceptions -fno-check-new,;t t
s,@NOOPT_CFLAGS@,,;t t
s,@REPO@,-frepo,;t t
s,@NOREPO@,-fno-repo,;t t
s,@KDE_USE_FINAL_TRUE@,#,;t t
s,@KDE_USE_FINAL_FALSE@,,;t t
s,@KDE_USE_CLOSURE_TRUE@,,;t t
s,@KDE_USE_CLOSURE_FALSE@,#,;t t
s,@KDE_CXXFLAGS@,,;t t
s,@LN_S@,ln -s,;t t
s,@ECHO@,echo,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@STRIP@,strip,;t t
s,@ac_ct_STRIP@,strip,;t t
s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
s,@KDE_PLUGIN@,-avoid-version -module -no-undefined $(KDE_RPATH) $(KDE_MT_LDFLAGS),;t t
s,@MSGFMT@,/usr/bin/msgfmt,;t t
s,@GMSGFMT@,/usr/bin/msgfmt,;t t
s,@XGETTEXT@,/usr/bin/xgettext,;t t
s,@LIBUTIL@,-lutil,;t t
s,@LIBCOMPAT@,,;t t
s,@LIBCRYPT@,-lcrypt,;t t
s,@LIBSOCKET@, -lresolv,;t t
s,@LIBRESOLV@,-lresolv,;t t
s,@X_EXTRA_LIBS@, -lresolv,;t t
s,@LIBUCB@,,;t t
s,@LIBDL@,-ldl,;t t
s,@X_INCLUDES@,-I/usr/X11R6/include,;t t
s,@X_LDFLAGS@,-L/usr/X11R6/lib,;t t
s,@x_libraries@,/usr/X11R6/lib,;t t
s,@x_includes@,/usr/X11R6/include,;t t
s,@LIBSM@,-lSM -lICE,;t t
s,@X_PRE_LIBS@,,;t t
s,@LIB_X11@,-lX11 $(LIBSOCKET),;t t
s,@LIBXINERAMA@,,;t t
s,@QTE_NORTTI@,,;t t
s,@LIB_XEXT@,-lXext,;t t
s,@LIBPTHREAD@,-lpthread,;t t
s,@USE_THREADS@,,;t t
s,@KDE_MT_LDFLAGS@,,;t t
s,@KDE_MT_LIBS@,-lpthread,;t t
s,@USER_INCLUDES@,,;t t
s,@USER_LDFLAGS@,,;t t
s,@LIBZ@,-lz,;t t
s,@LIBPNG@,-lpng -lz -lm,;t t
s,@LIBJPEG@,-ljpeg,;t t
s,@qt_libraries@,/usr/lib/qt-copy/lib,;t t
s,@qt_includes@,/usr/lib/qt-copy/include,;t t
s,@QT_INCLUDES@,-I/usr/lib/qt-copy/include,;t t
s,@QT_LDFLAGS@,-L/usr/lib/qt-copy/lib,;t t
s,@MOC@,/usr/lib/qt-copy/bin/moc,;t t
s,@UIC@,/usr/lib/qt-copy/bin/uic -L $(kde_widgetdir) -nounload,;t t
s,@UIC_TR@,tr2i18n,;t t
s,@LIB_QT@,-lqt-mt  $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread,;t t
s,@LIB_QPE@,,;t t
s,@kde_qtver@,3,;t t
s,@KDE_EXTRA_RPATH@,,;t t
s,@KDE_RPATH@,-R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries),;t t
s,@kde_libraries@,/opt/kde3/lib,;t t
s,@kde_includes@,/opt/kde3/include,;t t
s,@KDE_LDFLAGS@,-L/opt/kde3/lib,;t t
s,@KDE_INCLUDES@,-I/opt/kde3/include,;t t
s,@all_includes@,-I/opt/kde3/include -I/usr/lib/qt-copy/include -I/usr/X11R6/include ,;t t
s,@all_libraries@,-L/usr/X11R6/lib -L/usr/lib/qt-copy/lib -L/opt/kde3/lib ,;t t
s,@AUTODIRS@,,;t t
s,@DCOPIDL@,/opt/kde3/bin/dcopidl,;t t
s,@DCOPIDL2CPP@,/opt/kde3/bin/dcopidl2cpp,;t t
s,@DCOP_DEPENDENCIES@,$(DCOPIDL),;t t
s,@MCOPIDL@,/opt/kde3/bin/mcopidl,;t t
s,@ARTSCCONFIG@,/opt/kde3/bin/artsc-config,;t t
s,@KDECONFIG@,/opt/kde3/bin/kde-config,;t t
s,@MEINPROC@,/opt/kde3/bin/meinproc,;t t
s,@KDE_XSL_STYLESHEET@,/opt/kde3/share/apps/ksgmltools2/customization/kde-chunk.xsl,;t t
s,@kde_libs_prefix@,/opt/kde3,;t t
s,@kde_libs_htmldir@,/opt/kde3/share/doc/HTML,;t t
s,@kde_htmldir@,${prefix}/share/doc/HTML,;t t
s,@kde_appsdir@,${prefix}/share/applnk,;t t
s,@kde_icondir@,${prefix}/share/icons,;t t
s,@kde_sounddir@,${prefix}/share/sounds,;t t
s,@kde_datadir@,${prefix}/share/apps,;t t
s,@kde_locale@,${prefix}/share/locale,;t t
s,@kde_confdir@,${prefix}/share/config,;t t
s,@kde_mimedir@,${prefix}/share/mimelnk,;t t
s,@kde_wallpaperdir@,${prefix}/share/wallpapers,;t t
s,@kde_bindir@,${exec_prefix}/bin,;t t
s,@kde_templatesdir@,${prefix}/share/templates,;t t
s,@kde_servicesdir@,${prefix}/share/services,;t t
s,@kde_servicetypesdir@,${prefix}/share/servicetypes,;t t
s,@kde_moduledir@,${exec_prefix}/lib/kde3,;t t
s,@kde_styledir@,${exec_prefix}/lib/kde3/plugins/styles,;t t
s,@kde_widgetdir@,${exec_prefix}/lib/kde3/plugins/designer,;t t
s,@LIB_KDECORE@,-lkdecore,;t t
s,@LIB_KDEUI@,-lkdeui,;t t
s,@LIB_KIO@,-lkio,;t t
s,@LIB_SMB@,-lsmb,;t t
s,@LIB_KAB@,-lkab,;t t
s,@LIB_KHTML@,-lkhtml,;t t
s,@LIB_KSPELL@,-lkspell,;t t
s,@LIB_KPARTS@,-lkparts,;t t
s,@LIB_KDEPRINT@,-lkdeprint,;t t
s,@LIB_KSYCOCA@,-lkio,;t t
s,@LIB_KFILE@,-lkio,;t t
s,@LIB_KFM@,,;t t
s,@TOPSUBDIRS@, doc kwebget pics po,;t t
CEOF

  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  #echo Doing the fast build of Makefiles -- autoconf 250
        # VPATH subst was seen in original config.status main loop
  echo '/^[ 	]*VPATH[ 	]*=[^:]*$/d' >>$tmp/subs.sed
  rm -f $tmp/subs.files
  for ac_file in .. $CONFIG_FILES ; do
      if test "x$ac_file" != x..; then
          echo $ac_file >> $tmp/subs.files
      fi
  done
  if test -f $tmp/subs.files ; then
      perl admin/config.pl "$tmp/subs.sed" "$tmp/subs.files" "$srcdir" "$INSTALL"
  fi
  rm -f $tmp/subs.files

fi
#

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='[ 	].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'

for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  test x"$ac_file" != x- && { echo "$as_me:21702: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:21713: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$srcdir/$f"; then
           # Source tree
           echo $srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:21726: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done` || { (exit 1); exit 1; }
  # Remove the trailing spaces.
  sed 's/[ 	]*$//' $ac_file_inputs >$tmp/in

  # Handle all the #define templates only if necessary.
  if egrep "^[ 	]*#[ 	]*define" $tmp/in >/dev/null; then
  # If there are no defines, we may have an empty if/fi
  :
  cat >$tmp/defines.sed <<CEOF
/^[ 	]*#[ 	]*define/!b
t clr
: clr
${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"kwebget"${ac_dD}
${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.8"${ac_dD}
${ac_dA}HAVE_TEMPLATE_REPOSITORY${ac_dB}HAVE_TEMPLATE_REPOSITORY${ac_dC}1${ac_dD}
${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_CRYPT${ac_dB}HAVE_CRYPT${ac_dC}1${ac_dD}
${ac_dA}ksize_t${ac_dB}ksize_t${ac_dC}socklen_t${ac_dD}
${ac_dA}HAVE_RES_INIT${ac_dB}HAVE_RES_INIT${ac_dC}1${ac_dD}
${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_CHAR_P${ac_dB}SIZEOF_CHAR_P${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_CHAR${ac_dB}SIZEOF_CHAR${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBZ${ac_dB}HAVE_LIBZ${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBPNG${ac_dB}HAVE_LIBPNG${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBJPEG${ac_dB}HAVE_LIBJPEG${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBPTHREAD${ac_dB}HAVE_LIBPTHREAD${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  fi # egrep

  # Handle all the #undef templates
  cat >$tmp/undefs.sed <<CEOF
/^[ 	]*#[ 	]*undef/!b
t clr
: clr
${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"kwebget"${ac_uD}
${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.8"${ac_uD}
${ac_uA}HAVE_TEMPLATE_REPOSITORY${ac_uB}HAVE_TEMPLATE_REPOSITORY${ac_uC}1${ac_uD}
${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_CRYPT${ac_uB}HAVE_CRYPT${ac_uC}1${ac_uD}
${ac_uA}ksize_t${ac_uB}ksize_t${ac_uC}socklen_t${ac_uD}
${ac_uA}HAVE_RES_INIT${ac_uB}HAVE_RES_INIT${ac_uC}1${ac_uD}
${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_CHAR_P${ac_uB}SIZEOF_CHAR_P${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_CHAR${ac_uB}SIZEOF_CHAR${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBZ${ac_uB}HAVE_LIBZ${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBPNG${ac_uB}HAVE_LIBPNG${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBJPEG${ac_uB}HAVE_LIBJPEG${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBPTHREAD${ac_uB}HAVE_LIBPTHREAD${ac_uC}1${ac_uD}
s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated automatically by config.status.  */
  if test x"$ac_file" = x-; then
    echo "/* Generated automatically by configure.  */" >$tmp/config.h
  else
    echo "/* $ac_file.  Generated automatically by configure.  */" >$tmp/config.h
  fi
  cat $tmp/in >>$tmp/config.h
  rm -f $tmp/in
  if test x"$ac_file" != x-; then
    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
      { echo "$as_me:21843: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
        { case "$ac_dir" in
  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  *)                      as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  case $as_mkdir_dir in
    # Skip DOS drivespec
    ?:) as_incr_dir=$as_mkdir_dir ;;
    *)
      as_incr_dir=$as_incr_dir/$as_mkdir_dir
      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
    ;;
  esac
done; }

      fi
      rm -f $ac_file
      mv $tmp/config.h $ac_file
    fi
  else
    cat $tmp/config.h
    rm -f $tmp/config.h
  fi
done

#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`

  case $ac_dest in
    default-1 ) test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h ;;
  esac
done

{ (exit 0); exit 0; }
